### Constructor

# Ide TerminalLauncher new_for_config

#### Declaration

    IdeTerminalLauncher*
    ide_terminal_launcher_new_for_config (
      IdeConfig* config
    )

#### Description

Create a new `IdeTerminalLauncher` that will spawn a terminal in the runtime of the configuration with various build options applied.

#### Parameters

`config` | `IdeConfig`
| An `IdeConfig`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeTerminalLauncher`
| A newly created `IdeTerminalLauncher`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.